Skip to Content
FlowVerifyDevelopers

Audit trail of the envelope

Scope envelopes:read. Every recorded action with who performed it and from which IP. Views of the envelope by your own team members are omitted.

Authorization

apiKey
headerAuthorizationBearer <fv_live_… or fv_test_…>

Path Parameters

id*string
Formatuuid

Response Body

Activities in chronological order

application/json
  1. response
success*boolean
request_id*string
Formatuuid
data?
Example Request
curl -X GET 'https://api.flowverify.co/v1/envelopes/497f6eca-6276-4993-bfeb-53cbbbba6f08/history'
Example Response
{  "success": true,  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846",  "data": {    "object": "envelope_history",    "envelope": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "reference": "string",      "name": "string",      "status": "draft",      "type": "string",      "created_at": "2019-08-24T14:15:22Z",      "sent_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z",      "timezone": "string"    },    "sender": {      "name": "string",      "email": "string"    },    "organization_name": "string",    "recipients": [      {        "object": "recipient",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "email": "string",        "phone": "string",        "role": "sign",        "order": 0,        "status": "pending",        "language": "string",        "auth": {          "email_otp": true,          "sms_otp": true        },        "sent_at": "2019-08-24T14:15:22Z",        "viewed_at": "2019-08-24T14:15:22Z",        "signed_at": "2019-08-24T14:15:22Z",        "declined_at": "2019-08-24T14:15:22Z",        "decline_reason": "string"      }    ],    "activities": [      {        "object": "activity",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "action": "string",        "label": "string",        "description": "string",        "performed_by": {          "name": "string",          "email": "string"        },        "ip_address": "string",        "occurred_at": "2019-08-24T14:15:22Z"      }    ]  }}